Package org.acplt.oncrpc

# Interface OncRpcPortmapServices

public interface OncRpcPortmapServices
A collection of constants used for ONC/RPC messages to identify the remote procedure calls offered by ONC/RPC portmappers.

Version:
  $Revision: 1.1 $ $Date: 2003/08/13 12:03:41 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`PMAP_CALLIT`
Procedure number of portmap service to indirectly call a remote procedure an ONC/RPC server through the ONC/RPC portmapper.
`static final int`
`PMAP_DUMP`
Procedure number of portmap service to return information about all currently registered ONC/RPC servers.
`static final int`
`PMAP_GETPORT`
Procedure number of portmap service to retrieve port number of a particular ONC/RPC server.
`static final int`
`PMAP_SET`
Procedure number of portmap service to register an ONC/RPC server.
`static final int`
`PMAP_UNSET`
Procedure number of portmap service to unregister an ONC/RPC server.

## Field Details

### PMAP_SET

static final int PMAP_SET
Procedure number of portmap service to register an ONC/RPC server.

See Also:
  - Constant Field Values

### PMAP_UNSET

static final int PMAP_UNSET
Procedure number of portmap service to unregister an ONC/RPC server.

See Also:
  - Constant Field Values

### PMAP_GETPORT

static final int PMAP_GETPORT
Procedure number of portmap service to retrieve port number of a particular ONC/RPC server.

See Also:
  - Constant Field Values

### PMAP_DUMP

static final int PMAP_DUMP
Procedure number of portmap service to return information about all currently registered ONC/RPC servers.

See Also:
  - Constant Field Values

### PMAP_CALLIT

static final int PMAP_CALLIT
Procedure number of portmap service to indirectly call a remote procedure an ONC/RPC server through the ONC/RPC portmapper.

See Also:
  - Constant Field Values